Index: doc/singular.idx
===================================================================
--- doc/singular.idx	(revision a719149f9dbe9f99164ada14b6234f2f7b085283)
+++ doc/singular.idx	(revision a070b84d59be835a2946d1386edd3221d80f3fe7)
@@ -9,7 +9,9 @@
 %  		sing_93.htm#SEC133	
 %   		sing_105.htm#SEC145	
+%    		sing_142.htm#SEC182	
 &&		sing_36.htm#IDX102	
 && 		sing_96.htm#SEC136	
 (		sing_36.htm#IDX80	
+()		sing_126.htm#IDX130	
 )		sing_36.htm#IDX81	
 *	bigintmat operations	sing_36.htm#IDX89	
@@ -20,4 +22,8 @@
 *     		sing_101.htm#SEC141	
 *      		sing_105.htm#SEC145	
+*       		sing_132.htm#SEC172	
+*        		sing_137.htm#SEC177	
+*         		sing_142.htm#SEC182	
+*          		sing_150.htm#SEC190	
 **		sing_36.htm#IDX93	
 +	bigintmat operations	sing_36.htm#IDX85	
@@ -28,4 +34,12 @@
 +     		sing_101.htm#SEC141	
 +      		sing_105.htm#SEC145	
++       		sing_121.htm#SEC161	
++        		sing_132.htm#SEC172	
++         		sing_137.htm#SEC177	
++          		sing_142.htm#SEC182	
++           		sing_150.htm#SEC190	
++            		sing_164.htm#SEC204	
++             		sing_170.htm#SEC210	
++              		sing_175.htm#SEC215	
 ++		sing_36.htm#IDX86	
 -	bigintmat operations	sing_36.htm#IDX87	
@@ -35,4 +49,8 @@
 -    		sing_101.htm#SEC141	
 -     		sing_105.htm#SEC145	
+-      		sing_132.htm#SEC172	
+-       		sing_142.htm#SEC182	
+-        		sing_150.htm#SEC190	
+-         		sing_175.htm#SEC215	
 --		sing_36.htm#IDX88	
 --MPhost		sing_19.htm#IDX66	
@@ -99,4 +117,8 @@
 /		sing_36.htm#IDX90	
 / 		sing_105.htm#SEC145	
+/  		sing_132.htm#SEC172	
+/   		sing_142.htm#SEC182	
+/    		sing_150.htm#SEC190	
+/     		sing_175.htm#SEC215	
 //		sing_36.htm#IDX107	
 // 		sing_36.htm#IDX109	
@@ -108,192 +130,216 @@
 ;		sing_36.htm#IDX111	
 <		sing_36.htm#IDX100	
-< 		sing_298.htm#SEC338	
+< 		sing_150.htm#SEC190	
+<  		sing_175.htm#SEC215	
+<   		sing_298.htm#SEC338	
 <=		sing_36.htm#IDX99	
 <= 		sing_95.htm#SEC135	
+<=  		sing_142.htm#SEC182	
+<=   		sing_150.htm#SEC190	
+<=    		sing_170.htm#SEC210	
+<=     		sing_175.htm#SEC215	
 <>		sing_36.htm#IDX96	
 <> 		sing_95.htm#SEC135	
+<>  		sing_132.htm#SEC172	
+<>   		sing_142.htm#SEC182	
+<>    		sing_150.htm#SEC190	
+<>     		sing_164.htm#SEC204	
+<>      		sing_170.htm#SEC210	
+<>       		sing_175.htm#SEC215	
 =		sing_36.htm#IDX77	
 ==		sing_36.htm#IDX94	
 == 		sing_95.htm#SEC135	
+==  		sing_132.htm#SEC172	
+==   		sing_142.htm#SEC182	
+==    		sing_150.htm#SEC190	
+==     		sing_164.htm#SEC204	
+==      		sing_170.htm#SEC210	
+==       		sing_175.htm#SEC215	
 >		sing_36.htm#IDX98	
+> 		sing_150.htm#SEC190	
+>  		sing_175.htm#SEC215	
 >=		sing_36.htm#IDX97	
 >= 		sing_95.htm#SEC135	
+>=  		sing_142.htm#SEC182	
+>=   		sing_150.htm#SEC190	
+>=    		sing_170.htm#SEC210	
+>=     		sing_175.htm#SEC215	
 ?		sing_36.htm#IDX106	
-? 		sing_308.htm#IDX143	
-AG codes		sing_887.htm#SEC939	
-AGcode_L		sing_1829.htm#SEC1905	
-AGcode_Omega		sing_1830.htm#SEC1906	
-ASCII		sing_936.htm#SEC1012	
+? 		sing_308.htm#IDX148	
+AG codes		sing_889.htm#SEC941	
+AGcode_L		sing_1832.htm#SEC1908	
+AGcode_Omega		sing_1833.htm#SEC1909	
+ASCII		sing_938.htm#SEC1014	
 ASCII links		sing_112.htm#SEC152	
 ASSUME		sing_64.htm#SEC101	
-A_L		sing_1528.htm#SEC1604	
-A_Z		sing_935.htm#SEC1011	
+A_L		sing_1531.htm#SEC1607	
+A_Z		sing_937.htm#SEC1013	
 Access to elements of a user defined type	Access to elements of a user defined type	sing_180.htm#SEC220	
-Adj_div		sing_1824.htm#SEC1900	
-Adjoint ideal		sing_1405.htm#IDX535	
-Alexander polynomial		sing_1499.htm#IDX559	
-Algebraic Geometry codes		sing_1823.htm#IDX707	
-Algebraic dependence	Algebraic dependence	sing_868.htm#SEC920	
-Algebraic geometry		sing_1380.htm#SEC1456	
-AltVarEnd		sing_781.htm#SEC833	
-AltVarStart		sing_780.htm#SEC832	
-Ann		sing_1319.htm#SEC1395	
-Appel function		sing_611.htm#IDX339	
-Appel hypergeometric function		sing_611.htm#IDX340	
-Applications		sing_885.htm#SEC937	
-ArnoldAction		sing_1621.htm#SEC1697	
+Adj_div		sing_1827.htm#SEC1903	
+Adjoint ideal		sing_1408.htm#IDX542	
+Alexander polynomial		sing_1502.htm#IDX566	
+Algebraic Geometry codes		sing_1826.htm#IDX714	
+Algebraic dependence	Algebraic dependence	sing_870.htm#SEC922	
+Algebraic geometry		sing_1383.htm#SEC1459	
+AltVarEnd		sing_783.htm#SEC835	
+AltVarStart		sing_782.htm#SEC834	
+Ann		sing_1322.htm#SEC1398	
+Appel function		sing_612.htm#IDX345	
+Appel hypergeometric function		sing_612.htm#IDX346	
+Applications		sing_887.htm#SEC939	
+ArnoldAction		sing_1624.htm#SEC1700	
 Assignments for user defined types	Assignments for user defined types	sing_182.htm#SEC222	
-Atkin		sing_1912.htm#SEC1988	
+Atkin		sing_1915.htm#SEC1991	
 Authors		sing_1.htm#IDX16	
-BINresol		sing_1418.htm#SEC1494	
+BINresol		sing_1421.htm#SEC1497	
 Background		sing_3.htm#SEC5	
-Basic programming		sing_843.htm#SEC895	
-Basic programming 		sing_843.htm#SEC895	
-BelongSemig		sing_2230.htm#SEC2306	
-BerlekampMassey		sing_2256.htm#SEC2332	
-Bern		sing_2208.htm#SEC2284	
-Bernstein operator		sing_588.htm#IDX321	
-Bernstein-Sato polynomial		sing_553.htm#IDX302	
-Bernstein-Sato polynomial 		sing_588.htm#IDX318	
-Bernstein-Sato polynomial  		sing_1562.htm#IDX590	
-Bernstein-Sato polynomial   		sing_1566.htm#IDX607	
-Bernstein-Sato polynomial for variety		sing_644.htm#IDX343	
-Betti number	Syzygies and resolutions	sing_902.htm#SEC959	
-Bigatti-La Scala-Robbiano algorithm	Bigatti and La Scala and Robbiano	sing_912.htm#SEC969	
-BlowingUp		sing_1541.htm#SEC1617	
-Blowupcenter		sing_1421.htm#SEC1497	
-BorelCheck		sing_1496.htm#SEC1572	
-Branches of space curve singularities	Branches of space curve singularities	sing_876.htm#SEC928	
-Briancon-Maisonobe algorithm		sing_588.htm#IDX327	
-Brieskorn lattice		sing_1562.htm#IDX586	
-Brieskorn lattice 		sing_1563.htm#IDX597	
-Brieskorn lattice  		sing_1564.htm#IDX600	
-Brieskorn lattice   		sing_1565.htm#IDX603	
-Brieskorn lattice    		sing_1566.htm#IDX606	
-Brieskorn lattice     		sing_1567.htm#IDX610	
-Brieskorn lattice      		sing_1568.htm#IDX614	
-Brieskorn lattice       		sing_1569.htm#IDX620	
-Brieskorn lattice        		sing_1570.htm#IDX628	
-Brieskorn lattice         		sing_1571.htm#IDX634	
-Brieskorn lattice          		sing_1572.htm#IDX642	
-Brieskorn lattice           		sing_1573.htm#IDX652	
-Brieskorn lattice            		sing_1584.htm#IDX658	
-Brieskorn lattice             		sing_1586.htm#IDX669	
-Brieskorn lattice              		sing_1614.htm#IDX696	
-Brill-Noether algorithm		sing_1823.htm#IDX708	
-BrillNoether		sing_1826.htm#SEC1902	
-Buchberger algorithm for toric ideals	Buchberger algorithm	sing_913.htm#SEC970	
-Budur-Mustata-Saito approach		sing_644.htm#IDX347	
-Building Singular		sing_2470.htm#SEC2559	
+Basic programming		sing_845.htm#SEC897	
+Basic programming 		sing_845.htm#SEC897	
+BelongSemig		sing_2233.htm#SEC2309	
+BerlekampMassey		sing_2259.htm#SEC2335	
+Bern		sing_2211.htm#SEC2287	
+Bernstein operator		sing_589.htm#IDX327	
+Bernstein-Sato polynomial		sing_554.htm#IDX308	
+Bernstein-Sato polynomial 		sing_589.htm#IDX324	
+Bernstein-Sato polynomial  		sing_1565.htm#IDX597	
+Bernstein-Sato polynomial   		sing_1569.htm#IDX614	
+Bernstein-Sato polynomial for variety		sing_645.htm#IDX349	
+Betti number	Syzygies and resolutions	sing_904.htm#SEC961	
+Bigatti-La Scala-Robbiano algorithm	Bigatti and La Scala and Robbiano	sing_914.htm#SEC971	
+BlowingUp		sing_1544.htm#SEC1620	
+Blowupcenter		sing_1424.htm#SEC1500	
+BorelCheck		sing_1499.htm#SEC1575	
+Branches of space curve singularities	Branches of space curve singularities	sing_878.htm#SEC930	
+Briancon-Maisonobe algorithm		sing_589.htm#IDX333	
+Brieskorn lattice		sing_1565.htm#IDX593	
+Brieskorn lattice 		sing_1566.htm#IDX604	
+Brieskorn lattice  		sing_1567.htm#IDX607	
+Brieskorn lattice   		sing_1568.htm#IDX610	
+Brieskorn lattice    		sing_1569.htm#IDX613	
+Brieskorn lattice     		sing_1570.htm#IDX617	
+Brieskorn lattice      		sing_1571.htm#IDX621	
+Brieskorn lattice       		sing_1572.htm#IDX627	
+Brieskorn lattice        		sing_1573.htm#IDX635	
+Brieskorn lattice         		sing_1574.htm#IDX641	
+Brieskorn lattice          		sing_1575.htm#IDX649	
+Brieskorn lattice           		sing_1576.htm#IDX659	
+Brieskorn lattice            		sing_1587.htm#IDX665	
+Brieskorn lattice             		sing_1589.htm#IDX676	
+Brieskorn lattice              		sing_1617.htm#IDX703	
+Brill-Noether algorithm		sing_1826.htm#IDX715	
+BrillNoether		sing_1829.htm#SEC1905	
+Buchberger algorithm for toric ideals	Buchberger algorithm	sing_915.htm#SEC972	
+Budur-Mustata-Saito approach		sing_645.htm#IDX353	
+Building Singular		sing_2475.htm#SEC2564	
 C programming language	Major differences to the C programming language	sing_457.htm#SEC497	
-C, module ordering		sing_895.htm#IDX401	
-CGS, disjoint, reduced, Comprehensive Groebner System	cgsdr	sing_957.htm#IDX411	
-CM_regularity		sing_1483.htm#SEC1559	33865
-CMtype		sing_1652.htm#SEC1728	
-CRHT-ideal		sing_919.htm#SEC983	
+C, module ordering		sing_897.htm#IDX407	
+CGS, disjoint, reduced, Comprehensive Groebner System	cgsdr	sing_959.htm#IDX417	
+CM_regularity		sing_1486.htm#SEC1562	33865
+CMtype		sing_1655.htm#SEC1731	
+CRHT-ideal		sing_921.htm#SEC985	
 CYGWIN and ESingular	Running SINGULAR under Emacs	sing_23.htm#SEC33	
-Castelnuovo-Mumford regularity		sing_1483.htm#IDX551	
+Castelnuovo-Mumford regularity		sing_1486.htm#IDX558	
 Category string		sing_51.htm#SEC88	
-CenCharDec		sing_738.htm#SEC790	
-Center		sing_1460.htm#SEC1536	
-CenterBO		sing_1467.htm#SEC1543	
-CentralQuot		sing_736.htm#SEC788	
-CentralSaturation		sing_737.htm#SEC789	
+CenCharDec		sing_739.htm#SEC791	
+Center		sing_1463.htm#SEC1539	
+CenterBO		sing_1470.htm#SEC1546	
+CentralQuot		sing_737.htm#SEC789	
+CentralSaturation		sing_738.htm#SEC790	
 Change of rings		sing_9.htm#SEC15	
-Characteristic sets		sing_903.htm#SEC960	
-CharacteristicExponents	CharacteristicExponents	sing_1547.htm#SEC1623	
-ChernRootsDual		sing_2187.htm#SEC2263	
-ChernRootsHom		sing_2196.htm#SEC2272	
-ChernRootsProd		sing_2189.htm#SEC2265	
-ChernRootsSum		sing_2185.htm#SEC2261	
-ChernRootsSymm		sing_2198.htm#SEC2274	
-ChernRootsWedge		sing_2199.htm#SEC2275	
-Chevalley-Rosenlicht theorem		sing_1399.htm#IDX520	
-Chevalley-Rosenlicht theorem 		sing_1400.htm#IDX523	
-Classification of hypersurface singularities	Classification of hypersurface singularities	sing_877.htm#SEC929	
-Classification of singularities		sing_2404.htm#IDX891	
-Code	Codes and the decoding problem	sing_918.htm#SEC976	
-Codes and the decoding problem	Codes and the decoding problem	sing_918.htm#SEC975	
-Coding theory		sing_1822.htm#SEC1898	
-Coefficient rings	Notes for Singular users	sing_2468.htm#SEC2551	
+Characteristic sets		sing_905.htm#SEC962	
+CharacteristicExponents	CharacteristicExponents	sing_1550.htm#SEC1626	
+ChernRootsDual		sing_2190.htm#SEC2266	
+ChernRootsHom		sing_2199.htm#SEC2275	
+ChernRootsProd		sing_2192.htm#SEC2268	
+ChernRootsSum		sing_2188.htm#SEC2264	
+ChernRootsSymm		sing_2201.htm#SEC2277	
+ChernRootsWedge		sing_2202.htm#SEC2278	
+Chevalley-Rosenlicht theorem		sing_1402.htm#IDX527	
+Chevalley-Rosenlicht theorem 		sing_1403.htm#IDX530	
+Classification of hypersurface singularities	Classification of hypersurface singularities	sing_879.htm#SEC931	
+Classification of singularities		sing_2409.htm#IDX898	
+Code	Codes and the decoding problem	sing_920.htm#SEC978	
+Codes and the decoding problem	Codes and the decoding problem	sing_920.htm#SEC977	
+Coding theory		sing_1825.htm#SEC1901	
+Coefficient rings	Notes for Singular users	sing_2473.htm#SEC2556	
 Command line options	Command line options	sing_19.htm#SEC26	
 Commands	Functions and system variables	sing_258.htm#SEC298	
 Commands for user defined types	Commands for user defined types	sing_181.htm#SEC221	
-Commutative Algebra		sing_856.htm#SEC908	
-Commutative algebra		sing_1138.htm#SEC1214	
-CompDecomp		sing_550.htm#SEC602	
-CompInt		sing_2232.htm#SEC2308	
-CompleteHomog		sing_2175.htm#SEC2251	
-ComplexValue		sing_2278.htm#SEC2354	
-Computing Groebner and Standard Bases	Computing Groebner and Standard Bases	sing_852.htm#SEC904	
-ConsLevels		sing_964.htm#SEC1040	
-ContactMatrix		sing_1549.htm#SEC1625	
-Conti-Traverso algorithm		sing_908.htm#SEC965	
+Commutative Algebra		sing_858.htm#SEC910	
+Commutative algebra		sing_1141.htm#SEC1217	
+CompDecomp		sing_551.htm#SEC603	
+CompInt		sing_2235.htm#SEC2311	
+CompleteHomog		sing_2178.htm#SEC2254	
+ComplexValue		sing_2281.htm#SEC2357	
+Computing Groebner and Standard Bases	Computing Groebner and Standard Bases	sing_854.htm#SEC906	
+ConsLevels		sing_966.htm#SEC1042	
+ContactMatrix		sing_1552.htm#SEC1628	
+Conti-Traverso algorithm		sing_910.htm#SEC967	
 Contributors		sing_1.htm#IDX15	
 Control structures		sing_425.htm#SEC465	
-Control theory	System and Control theory	sing_1856.htm#SEC1932	
-Cooper philosophy		sing_919.htm#SEC981	
-Cornacchia		sing_1902.htm#SEC1978	
-CornacchiaModified		sing_1903.htm#SEC1979	
-Crep		sing_960.htm#SEC1036	
-Critical points		sing_871.htm#SEC923	
-CurveParam		sing_1543.htm#SEC1619	
-CurveRes		sing_1542.htm#SEC1618	
-Curves		sing_1405.htm#IDX532	
+Control theory	System and Control theory	sing_1859.htm#SEC1935	
+Cooper philosophy		sing_921.htm#SEC983	
+Cornacchia		sing_1905.htm#SEC1981	
+CornacchiaModified		sing_1906.htm#SEC1982	
+Crep		sing_962.htm#SEC1038	
+Critical points		sing_873.htm#SEC925	
+CurveParam		sing_1546.htm#SEC1622	
+CurveRes		sing_1545.htm#SEC1621	
+Curves		sing_1408.htm#IDX539	
 Customization of the Emacs interface	Customization of the Emacs interface	sing_25.htm#SEC36	
-Cyclic code		sing_1837.htm#IDX715	
-Cyclic roots		sing_849.htm#SEC901	
-D-integration		sing_611.htm#IDX336	
-D-localization		sing_611.htm#IDX332	
-D-localization 		sing_815.htm#IDX370	
-D-module	purityfiltration_lib	sing_553.htm#IDX300	
-D-module 		sing_588.htm#IDX315	
-D-module  		sing_611.htm#IDX329	
-D-module   		sing_644.htm#IDX341	
-D-module    		sing_793.htm#IDX355	
-D-module     		sing_815.htm#IDX367	
-D-module structure		sing_588.htm#IDX316	
-D-module structure 		sing_644.htm#IDX342	
-D-restriction		sing_611.htm#IDX334	
+Cyclic code		sing_1840.htm#IDX722	
+Cyclic roots		sing_851.htm#SEC903	
+D-integration		sing_612.htm#IDX342	
+D-localization		sing_612.htm#IDX338	
+D-localization 		sing_817.htm#IDX376	
+D-module	purityfiltration_lib	sing_554.htm#IDX306	
+D-module 		sing_589.htm#IDX321	
+D-module  		sing_612.htm#IDX335	
+D-module   		sing_645.htm#IDX347	
+D-module    		sing_795.htm#IDX361	
+D-module     		sing_817.htm#IDX373	
+D-module structure		sing_589.htm#IDX322	
+D-module structure 		sing_645.htm#IDX348	
+D-restriction		sing_612.htm#IDX340	
 DBM links		sing_117.htm#SEC157	
 DISPLAY environment variable	The online help system	sing_16.htm#IDX28	
-DLoc		sing_614.htm#SEC666	
-DLoc0		sing_616.htm#SEC668	
+DLoc		sing_615.htm#SEC667	
+DLoc0		sing_617.htm#SEC669	
 Data types		sing_72.htm#SEC112	
-Data types (plural)		sing_470.htm#IDX286	
+Data types (plural)		sing_471.htm#IDX292	
 Debugging tools		sing_63.htm#SEC100	
 Decker, Wolfram		sing_1.htm#IDX17	
 Declaration of objects of a user defined type	Declaration of objects of a user defined type	sing_179.htm#SEC219	
-Decoding		sing_1837.htm#IDX717	
-Decoding codes with Groebner bases	Decoding codes with Groebner bases	sing_917.htm#SEC974	
-Decoding method based on quadratic equations	Decoding method based on quadratic equations	sing_922.htm#SEC992	
+Decoding		sing_1840.htm#IDX724	
+Decoding codes with Groebner bases	Decoding codes with Groebner bases	sing_919.htm#SEC976	
+Decoding method based on quadratic equations	Decoding method based on quadratic equations	sing_924.htm#SEC994	
 Definition of a user defined type	Definition of a user defined type	sing_178.htm#SEC218	
-Deformations		sing_874.htm#SEC926	
-Deformations, T1 and T2		sing_873.htm#SEC925	
-Degree		sing_1384.htm#SEC1460	
-Delta		sing_1468.htm#SEC1544	
-DeltaList		sing_1469.htm#SEC1545	
+Deformations		sing_876.htm#SEC928	
+Deformations, T1 and T2		sing_875.htm#SEC927	
+Degree		sing_1387.htm#SEC1463	
+Delta		sing_1471.htm#SEC1547	
+DeltaList		sing_1472.htm#SEC1548	
 Demo mode		sing_24.htm#SEC35	
-Depth		sing_863.htm#SEC915	
-Determinacy		sing_2407.htm#IDX895	
-Di Biase-Urbanke algorithm	Di Biase and Urbanke	sing_911.htm#SEC968	
-Distributed computing		sing_980.htm#IDX425	
-Dlocalization		sing_816.htm#SEC868	
+Depth		sing_865.htm#SEC917	
+Determinacy		sing_2412.htm#IDX902	
+Di Biase-Urbanke algorithm	Di Biase and Urbanke	sing_913.htm#SEC970	
+Distributed computing		sing_982.htm#IDX431	
+Dlocalization		sing_818.htm#SEC870	
 Documentation Tool		sing_60.htm#SEC97	
-Dp, global ordering		sing_893.htm#IDX384	
-Ds, local ordering		sing_894.htm#IDX394	
-DsingularLocus		sing_820.htm#SEC872	
+Dp, global ordering		sing_895.htm#IDX390	
+Ds, local ordering		sing_896.htm#IDX400	
+DsingularLocus		sing_822.htm#SEC874	
 Dynamic loading		sing_71.htm#SEC111	
-Dynamic modules		sing_851.htm#SEC903	
-ECPP		sing_1946.htm#SEC2022	
-ECoef		sing_1427.htm#SEC1503	
-EOrdlist		sing_1425.htm#SEC1501	
+Dynamic modules		sing_853.htm#SEC905	
+ECPP		sing_1949.htm#SEC2025	
+ECoef		sing_1430.htm#SEC1506	
+EOrdlist		sing_1428.htm#SEC1504	
 ERROR		sing_287.htm#SEC327	
 ESingular, CYGWIN	Running SINGULAR under Emacs	sing_23.htm#SEC33	
-Edatalist		sing_1424.htm#SEC1500	
-Edelman-Reiner		sing_2153.htm#IDX826	
+Edatalist		sing_1427.htm#SEC1503	
+Edelman-Reiner		sing_2156.htm#IDX833	
 Editing SINGULAR input files with Emacs	Editing SINGULAR input files with Emacs	sing_26.htm#SEC37	
 Editing input		sing_18.htm#SEC25	
-Elimination		sing_859.htm#SEC911	
+Elimination		sing_861.htm#SEC913	
 Emacs	Emacs user interface	sing_21.htm#SEC28	
 Emacs, Singular demo mode		sing_24.htm#SEC35	
